# Uses of Interface
com.sun.source.tree.ParenthesizedTree

Packages that use ParenthesizedTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ParenthesizedTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ParenthesizedTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitParenthesized(ParenthesizedTree node, P p)`
Visits a ParenthesizedTree node.

## Uses of ParenthesizedTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ParenthesizedTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitParenthesized(ParenthesizedTree node, P p)`
Visits a ParenthesizedTree node.
`R`
TreeScanner.`visitParenthesized(ParenthesizedTree node, P p)`
Visits a ParenthesizedTree node.